databaseChangeLog:
  #    main
  - changeSet:
      id: create metric repo
      author: a.kozlov
      changes:
        - createTable:
            columns:
              - column:
                  name: uid
                  type: BIGINT
                  autoIncrement: true
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: metric_pkey
              - column:
                  name: metric_id
                  type: VARCHAR
                  constraints:
                    nullable: false
              - column:
                  name: author
                  type: varchar
                  constraints:
                    nullable: false
              - column:
                  name: project_id
                  type: BIGINT
                  constraints:
                    nullable: false
              - column:
                  name: agent_id
                  type: BIGINT
                  constraints:
                    nullable: false
              - column:
                  name: metric_type
                  type: BIGINT
                  constraints:
                    nullable: false
              - column:
                  name: meta
                  type: varchar
              - column:
                  name: time
                  type: TIMESTAMP
                  constraints:
                    nullable: false
            tableName: metric



